Subject: Re: gittogether session notes

From: Jakub Narebski <[email-masked]>
Date: Fri, 29 Oct 2010 12:26:15 -0700 (PDT)

Jeff King <[email-masked]> writes:

> For anyone interested, session notes from GitTogether '10 are here:
> 
>   https://git.wiki.kernel.org/index.php/GitTogether10#Session_notes
> 
> They are mostly rough transcriptions of the talks by a few volunteers,
> along with slides from some of the speakers.  Some of it may be
> incomplete or confusing, but I'm sure many of the speakers would be
> happy to carry discussion onto the list if emailed.

Thank you all who created and posted notes, and those who posted their
slides.  It was a good idea to use Etherpad, I think.

The page about GitTogether 2010 on Git Wiki has a section called
"Suggested Topics" - which of those were made, and what talks are
missing from it?

I have provided below list with all 'suggested topics', with short
note if there are session notes notes, or talks slides, and in what
format.  You can see from it which are yet missing notes and slides.

* How bup stores 1TB+ in git, and what exploded along the way
  slides (ODP), notes (etherpad), documentation (github)

* How can we make git-submodule/git-subtree usable by mere mortals?
  notes x 2 (etherpad)

* Dulwich
  notes (etherpad)
 
* Git on DHTs (Git on Cassandra)
  notes/slides (Google Docs)

* Distributed code reviews
  notes (etherpad)

* How to (not) abuse Git (multiple lightning talks)
  ???

* Resurrecting the exponential-stride/bisection algorithm; practical issues
  notes (etherpad)

* Git and Encryption : How To Do X
  notes (etherpad)

* Using Git in a centralized, Gui based environment - What we achieved
  and what could be improved
  slides (PDF), repositories (github)
  
* Tolerating clock skew in commit histories
  notes (etherpad)

* Git as Software Freedom Conservancy member project
  notes (etherpad)

* git-remote-hg
  notes (etherpad)

* Dealing with many large repositories with lots of old data
  notes (etherpad)

* State of libgit2
  notes (etherpad)

* Project status JGit / Projects using JGit / future roadmap
  notes (etherpad)

* Git Survey Results / Gerrit Survey Results
  notes (etherpad) - only Gerrit Survey

* Git Scalability at GitHub
  slides (PDF)

* How to improve Git Together
  notes (etherpad)

Below there are proposed talks which either weren't presented, or lack
notes / slides.
* Hudson and Gerrit integration
* What's new on github: pull requests, git based wiki etc.
* Git and Big Files
* git log -L demo, combination of log and blame
* RefInsteadOf (discussion)
* git-always-on

Below there are notes and/or slides for which I don't have name of
presentation, lightning talk, or discussion:

* Gitweb caching
  notes (etherpad)

* Distributed Android builds
  notes (etherpad)

* git-cheetah
  notes (etherpad)

* Gerrit submodules support
  notes (git wiki)

-- 
Jakub Narebski
Poland
ShadeHawk on #git